Package com.complexible.stardog.security

# Class StardogAuthenticationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.complexible.stardog.StardogException
com.complexible.stardog.security.StardogSecurityException
com.complexible.stardog.security.StardogAuthenticationException

All Implemented Interfaces:
  `Serializable`

public class StardogAuthenticationException extends com.complexible.stardog.security.StardogSecurityException
Exception thrown when it was not possible to authenticate a stardog user with the provided credentials

Author:
  Blazej Bulka
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogAuthenticationException()`
  Create a new StardogAuthorizationException
  `StardogAuthenticationException(String theMessage)`
  Create a new StardogAuthenticationException
  `StardogAuthenticationException(String theMessage, Throwable theCause)`
  Create a new StardogAuthenticationException
  `StardogAuthenticationException(Throwable theCause)`
  Create a new StardogAuthenticationException

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StardogAuthenticationException

    public StardogAuthenticationException()
    Create a new StardogAuthorizationException

  - ### StardogAuthenticationException

    public StardogAuthenticationException(String theMessage)
    Create a new StardogAuthenticationException
    Parameters:
      `theMessage` - the error message

  - ### StardogAuthenticationException

    public StardogAuthenticationException(String theMessage, Throwable theCause)
    Create a new StardogAuthenticationException
    Parameters:
      `theMessage` - the error message
      `theCause` - the cause

  - ### StardogAuthenticationException

    public StardogAuthenticationException(Throwable theCause)
    Create a new StardogAuthenticationException
    Parameters:
      `theCause` - the cause